var gulp = require('gulp'),
    rename = require('gulp-rename'),
    deleteLinesUsingString = require('delete-lines-using-string');

gulp.task('deleteLinesUsingString:removeBefore', function(){
    gulp.src('src/example.html')
        .pipe(deleteLinesUsingString.removeBefore('<!-- DELETION POINT -->', true))
        .pipe(rename('before.html'))
        .pipe(gulp.dest('build'));
});

gulp.task('deleteLinesUsingString:removeAfter', function(){
    gulp.src('src/example.html')
        .pipe(deleteLinesUsingString.removeAfter('<!-- DELETION POINT -->', true))
        .pipe(rename('after.html'))
        .pipe(gulp.dest('build'));
});

gulp.task('deleteLinesUsingString:removeBeforeFalse', function(){
    gulp.src('src/example.html')
        .pipe(deleteLinesUsingString.removeBefore('<!-- DELETION POINT -->', false))
        .pipe(rename('before.html'))
        .pipe(gulp.dest('build'));
});

gulp.task('deleteLinesUsingString:removeAfterFalse', function(){
    gulp.src('src/example.html')
        .pipe(deleteLinesUsingString.removeAfter('<!-- DELETION POINT -->', false))
        .pipe(rename('after.html'))
        .pipe(gulp.dest('build'));
});

gulp.task('default', [
    'deleteLinesUsingString:removeBefore',
    'deleteLinesUsingString:removeAfter',
    'deleteLinesUsingString:removeBeforeFalse',
    'deleteLinesUsingString:removeAfterFalse'
]);